Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class ConnectionProperty

    java.lang.Object
      portlets.compoze.groupware.ConnectionProperty

All Implemented Interfaces:
  java.io.Serializable

public class ConnectionProperty
extends java.lang.Object
implements java.io.Serializable

This class represents a connection property.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_PASSWORD` This represents a 'password' type.
`static int` | `TYPE_TEXT` This represents a 'text' type.

Constructor Summary
`ConnectionProperty(ConnectionProperty connProp)` Constructor.
`ConnectionProperty(java.lang.String sKey, java.lang.String sProperty, int iType)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`java.lang.String` | `getDescriptionKey()` Gets the i18n resource 'description' key.
`java.lang.String` | `getHelperKey()` Gets the i18n resource 'helper' key.
`java.lang.String` | `getLabelKey()` Gets the i18n resource 'label' key.
`java.lang.String` | `getNameKey()` Gets the i18n resource 'name' key.
`java.lang.String` | `getProperty()` Gets the property.
`int` | `getType()` Gets the type.
`boolean` | `isModifiable()` Checks if the property is modifiable.
`boolean` | `isRequired()` Checks if the property is required.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_TEXT

    public static final int TYPE_TEXT

  This represents a 'text' type.

  See Also:
    Constant Field Values

### TYPE_PASSWORD

    public static final int TYPE_PASSWORD

  This represents a 'password' type.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionProperty

    public ConnectionProperty(ConnectionProperty connProp)

  Constructor.

Parameters:
  `connProp` - the connection property

### ConnectionProperty

    public ConnectionProperty(java.lang.String sKey,
                              java.lang.String sProperty,
                              int iType)

  Constructor.

Parameters:
  `sKey` - the i18n resources key (may not be `null` or empty)
  `sProperty` - the property (may not be `null` or empty)
  `iType` - the property type (see `TYPE_` constants)

Method Detail

### getProperty

    public java.lang.String getProperty()

  Gets the property.

  Returns:
    the property

### getNameKey

    public java.lang.String getNameKey()

  Gets the i18n resource 'name' key.

  Returns:
    the property 'name' key

### getLabelKey

    public java.lang.String getLabelKey()

  Gets the i18n resource 'label' key.

  Returns:
    the property 'label' key

### getDescriptionKey

    public java.lang.String getDescriptionKey()

  Gets the i18n resource 'description' key.

  Returns:
    the property 'description' key

### getHelperKey

    public java.lang.String getHelperKey()

  Gets the i18n resource 'helper' key.

  Returns:
    the property 'helper' key

### getType

    public int getType()

  Gets the type.

  Returns:
    the property type (see `TYPE_` constants)

### isModifiable

    public boolean isModifiable()

  Checks if the property is modifiable.

  Returns:
    `true` if the property is modifiable; `false` otherwise

### isRequired

    public boolean isRequired()

  Checks if the property is required.

  Returns:
    `true` if the property is required; `false` otherwise

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The property is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same property as the argument; `false` otherwise
  See Also:
    `getProperty()`

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.